重新记录一次Elementary OS安装史


以前不懂玩这些东西的时候,都是乱来的,用了那么久,想想都亏,由于以前乱改,导致出现了一些让我强迫症难以忍受的问题,所以今天重新分一个区安装一次elementary os,并按顺序记录下每一步。

1#安装os

忽略吧,os都不会装,看个鬼啊,又不是arch。

2#修改源(测试不修改源速度还快些,我就没改)

其实我测试了下,官方的cn源也不算太慢,有网速就先做一件事

sudo apt install gedit
sudo gedit /etc/apt/sources.list

粘贴以下内容(Ubuntu16.04):

#ali
deb http://mirrors.aliyun.com/ubuntu/ xenial main restricted universe multiverse
deb http://mirrors.aliyun.com/ubuntu/ xenial-security main restricted universe multiverse
deb http://mirrors.aliyun.com/ubuntu/ xenial-updates main restricted universe multiverse
deb http://mirrors.aliyun.com/ubuntu/ xenial-proposed main restricted universe multiverse
deb http://mirrors.aliyun.com/ubuntu/ xenial-backports main restricted universe multiverse
deb-src http://mirrors.aliyun.com/ubuntu/ xenial main restricted universe multiverse
deb-src http://mirrors.aliyun.com/ubuntu/ xenial-security main restricted universe multiverse
deb-src http://mirrors.aliyun.com/ubuntu/ xenial-updates main restricted universe multiverse
deb-src http://mirrors.aliyun.com/ubuntu/ xenial-proposed main restricted universe multiverse
deb-src http://mirrors.aliyun.com/ubuntu/ xenial-backports main restricted universe multiverse

3#apt-fast

谁都知道,有时候非官方源,Ubuntu下载70kb都可能要半天,这东西不能说很快,但是可以帮你加速一丢丢

sudo add-apt-repository ppa:saiarcot895/myppa
sudo apt-get update
sudo apt-get -y install apt-fast

有了这个,先来此系统更新,并重启吧

sudo apt-fast update&&sudo apt-fast upgrade

记得好像elementary不能直接添加源,还得安装一些东西,楼下

#无法找到add-apt-repository问题的解决方法

sudo apt-get install python-software-properties && sudo apt-get install software-properties-common

4#安装输入法

sudo apt-fast install fcitx-table-wbpy

然后去官网下载搜狗输入法,用命令安装

sudo dpkg -i xxxx.deb

重启然后用shift切换就有搜狗了,自带了其他输入法,可以选择移除

5#安装浏览器

apt-get install firefox&&apt-get install firefox-locale-zh-hans

谷歌浏览器自行下载deb包安装,懒得去找命令了

6#完善系统功能

新立得的安装和使用:

安装:

sudo apt-get update && apt-get install synaptic

调出:

gksu synaptic

安装rar压缩文件格式支持(自身解压归档已经足够强大除rar)命令行可解决一切问题

http://blog.csdn.net/zhaihaifei/article/details/51697594

sudo sudo apt-get install rar
sudo apt-get install unace rar unrar p7zip-rar p7zip zip unzip

#安装java

sudo add-apt-repository ppa:webupd8team/java 
sudo apt-get update 
sudo apt-get install oracle-java8-installer 
sudo apt-get install oracle-java8-set-default

这里安装的是Java8,若要使用java7,将第三第四行的java8改成java7即可。

#安装WINEQQ

有几种方法可以将新的Wine存储库添加到Ubuntu。 我们将通过使用命令行来最快速地方式。

如果您运行的是64位版本的Ubuntu,首先需要运行此命令,因为Wine是32位应用程序:

sudo dpkg --add-architecture i386

打开一个新的终端窗口并运行此命令将新的Wine repo添加到Ubuntu的软件源:

wget -nc https://dl.winehq.org/wine-builds/Release.key
sudo apt-key add Release.key
sudo apt-add-repository https://dl.winehq.org/wine-builds/ubuntu/

最后,通过运行此命令安装(或升级)Wine stable:

sudo apt-get update&&sudo apt-get install --install-recommends winehq-stable

现在设置最新的Wine。 如果遇到任何依赖性错误(常见于旧版PPA),则Wine HQ维基建议您根据需要进行安装,然后重新运行“update && install”命令。

然后:看清风的博客 这应该是最完美的QQ了

http://phpcj.org/wineqq

解决wine的托盘问题

在elementary OS上用wineqq有个问题就是消息提示问题,找了一会儿总算找到了

先安装stalonetray(http://packages.debian.org/unstable/x11/stalonetray)一般推荐直接get

sudo apt-get install stalonetray

然后修改配置文件 在~目录下 也就是当前用户的根目录下

root就是root 普通就是home/用户名

之后配置.stalonetrayrc 没有就自己创建 内容:

geometry 1x1+1325+730
transparent true
window_layer top
slot_size 24
icon_size 16

这是我的配置 显示在右下角置顶

先在终端运行stalonetray看看效果

cd /usr/bin
./stalonetray

没有你的配置文件会提示错误,然后会调用默认的,英文很简单就不说了

之后在系统设置-->启动应用程序中添加stalonetray即可

参考地址:http://www.cnblogs.com/simpleyyt/p/3417715.html

# 安装 Elementary Tweaks

sudo add-apt-repository -y ppa:philip.scott/elementary-tweaks 
sudo apt update
sudo apt -y install elementary-tweaks

# 安装扩展主题操作

elementary-full-icon-theme

 sudo apt -y install git
 git clone https://github.com/btd1337/elementary-full-icon-theme
 sudo mv elementary-full-icon-theme /usr/share/icons/
 gsettings set org.gnome.desktop.interface icon-theme "elementary-full-icon-theme"
 sudo rm -rf elementary-full-icon-theme

Arc 主题

sudo sh -c "echo 'deb http://download.opensuse.org/repositories/home:/Horst3180/xUbuntu_16.04/ /' >> /etc/apt/sources.list.d/arc-theme.list"
wget http://download.opensuse.org/repositories/home:Horst3180/xUbuntu_16.04/Release.key$ sudo apt-key add - < Release.key
sudo apt update
sudo apt -y install arc-theme

 Paper 主题

 sudo add-apt-repository -y ppa:snwh/pulp
 sudo apt update
 sudo apt install -y paper-gtk-theme paper-icon-theme

 # 添加 Oibaf 软件源操作

 sudo add-apt-repository -y ppa:oibaf/graphics-drivers
 sudo apt update
 sudo apt -y full-upgrade

#图标编辑器

sudo add-apt-repository ppa:caldas-lopes/ppa
sudo apt-get update
sudo apt-get install ezame

Last#手动安装程序

使用dpkg -i手动安装谷歌,网易云,wps等

用chomd +x filename && ./filename安装

MyEclipse,eclipse,Android-studio等

安装包自行去官网找

#关于双系统时间慢8小时问题

在安装Ubuntu双系统的情况下,Ubuntu的时间总会和Windows的时间相差8小时,原因在于widows认为BIOS时间是本地时间,Ubuntu认为BIOS时间是UTC时间,这样从Ubuntu重启到ubuntu会发现时间相差8小时,Ubuntu会经常与NTP服务器时间进行同步,但Windows不会。

所以我们需要将Ubuntu的时间改成本地时间

以前的方法是

编辑/etc/default/rcS 将UTC=yes改成UTC=no

Ubuntu 16.04使用systemd启动之后,时间也改成了由timedatectl来管理

更改方法是

先在ubuntu下更新一下时间,确保时间无误:

sudo apt-get install ntpdate
sudo ntpdate ntp.shu.edu.cn

然后将时间更新到硬件上:

sudo hwclock --localtime --systohc

 重新进入windows10,发现时间恢复正常了!(Windows的换了不能用了,用上海大学的时间服务吧)

#关于Google chrome 使用谷歌一直跳转http的Google.com.hk

在 Chrome 浏览器上输入链接 chrome://net-internals/#hsts (可复制此地址粘贴到地址栏),回车。

在 Domain 栏里,输入 google.com ,并勾选下面的两个复选框,点击 “Add” 按钮即可。

此时,无需每次在因为跳回非加密连接中断后手动添加 HTTPS 前缀。强制 google.com.hk/google.com使用 HTTPS

默认情况下,Google 网页快照是以非加密的 HTTP 连接打开的,这将导致它直接无法连接。

https://laod.cn/hosts/suggestions-for-google-hosts-https-ssl.html

Ubuntu 自带vim编辑器问题

用elementary OS大概快一个月了吧,但是却很少直接vi

今天安装sql有点懒,就用了下vi 但是发现 很多问题啊,比如方向键无法使用、backspace无法使用等。 百度了下说要去掉讨厌的有关vi一致性模式 下面是解决办法:

第一个:在.vimrc中增加set nocp(测试退格依旧不行)

echo "set nocp" >> ~/.vimrc

第二种方法(完美解决):

sudo apt-get install vim 
sudo apt-get install vim-full #这个测试Ubuntu16.04无效,上面那个成了就行了 具体自测

#解决root用户登录的软件无法使用中文输入法的问题

仅适用于 输入法为Fcitx 参考:

http://askubuntu.com/questions/316169/in-sudo-gedit-i-can-not-use-ctrl-space-to-activate-fcitx-input-method https://fcitx-im.org/wiki/FAQ/zh-hans

按以上解释,临时解决方法可为:

 1. 创建 /etc/sudoers_env 加入以下内容 代码: 

GTK_IM_MODULE=xim 
QT_IM_MODULE=xim 
QT4_IM_MODULE=xim

2. 执行 sudo visudo 加入以下内容 代码: 

Defaults env_keep += "XMODIFIERS" 
Defaults env_file="/etc/sudoers_env"

参考地址:http://forum.ubuntu.org.cn/viewtopic.php?f=8&t=480390

#移除最新的hwe硬件驱动

不得不说,我的电脑用hwe还不如用旧版,果断移除之,整段执行

sudo apt install --purge xserver-xorg-hwe-16.04- xserver-xorg xserver-xorg-core \
xserver-xorg-input-all xserver-xorg-input-evdev xserver-xorg-input-synaptics \
xserver-xorg-input-vmmouse xserver-xorg-input-wacom xserver-xorg-video-all \
xserver-xorg-video-amdgpu xserver-xorg-video-ati xserver-xorg-video-fbdev \
xserver-xorg-video-intel xserver-xorg-video-nouveau xserver-xorg-video-qxl \
xserver-xorg-video-radeon xserver-xorg-video-vesa xserver-xorg-video-vmware

更多的看这里:http://lckiss.com/?p=1296

声明:TIL|版权所有,违者必究|如未注明,均为原创|本网站采用BY-NC-SA[ZH]协议进行授权

转载:转载请注明原文链接 - 重新记录一次Elementary OS安装史


Life is very interesting. In the end, some of your greatest pains become your greatest strengths.